# $Revision: 1.25 $, $Date: 2004/03/09 15:32:55 $
Summary:	Output plugin for XMMS for use with the aRts sound server
Summary(es):	Plugin de salida para XMMS para uso con el paquete aRts
Summary(pl):	Wtyczka dla XMMS odtwarzajca przez aRts
Summary(pt_BR):	Plugin de sada para o XMMS para uso com o servidor de som aRts
Name:		xmms-output-arts
Version:	0.7.1
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://havardk.xmms.org/plugins/arts_output/arts_output-%{version}.tar.gz
# Source0-md5: 6d028255ed86e37211bbda0122c14483
URL:		http://havardk.xmms.org/plugins/arts_output/
BuildRequires:	artsc-devel >= 1.0.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows xmms to play sounds though aRts sound servers. This
is a must-have for KDE2 users, because aRts, which is by default
started in this environment, uses DSP, thus preventing oss-plugin from
working.

%description -l es
Plugin de salida para XMMS para uso con el paquete aRts.

%description -l pl
Ta wtyczka pozwala xmms-owi odtwarza muzyk poprzez serwer aRts.
Obowizkowy pakiet dla uytkownikw KDE2, poniewa aRts, domylnie
uruchamiany w tym rodowisku, uywa DSP tym samym uniemoliwiajc
dziaanie wtyczce OSS.

%description -l pt_BR
Plugin de sada para o XMMS trabalhar com o servidor de som aRts.

%prep
%setup -q -n arts_output-%{version}

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS
%attr(755,root,root) %{xmms_output_plugindir}/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-arts.spec,v $
Revision 1.25  2004/03/09 15:32:55  jm
- update to 0.7.1 sent by Grzegorz Konopko; correction of Source0 and URL (thnx  pluto)

Revision 1.24  2003/12/09 15:27:06  qboosh
- s/arts-devel/artsc-devel/
- removed broken CFLAGS setting and bogus BR glib2-devel (not used in any way)

Revision 1.23  2003/12/01 23:25:16  zytek
- BR: glib2-devel

Revision 1.22  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.21  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.20  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.18  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.17  2002/12/26 14:48:47  orzech
- missing Provides

Revision 1.16  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/09/02 21:54:21  kloczek
- release 4: rebuild against arts 1.0.3 and use new %doc.

Revision 1.14  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/20 02:08:33  kloczek
- cosmetics.

Revision 1.8  2002/01/20 02:06:40  kloczek
- release 3,
- added nocmallocc patch which removes linking arts plugin with memory
  allocation debuger libcmallocc (also removed ccmalloc fron BuildRequires),
- removed malloc patch.

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 18:48:13  blues
- release 2
- translations added
- malloc patch
- ac/am/lt regeneration stuff
- more BuildRequires
- cosmetics

Revision 1.5  2001/11/23 15:04:31  qboosh
- Group changed to X11/Applications/Multimedia, some fixes

Revision 1.4  2001/11/23 14:51:03  kloczek
- s/Copyright/License/

Revision 1.3  2001/10/01 09:11:05  marcus
- %%configure2_13

Revision 1.2  2001/01/19 18:12:39  kloczek
- added arts-devel to BuildRequires.

Revision 1.1  2001/01/13 17:59:58  mkochano
- Written from spec for some other xmms plugin.
- Builds, works.

